package oauth

import (
	"github.com/ory/fosite"

	"code.vikunja.io/api/pkg/models"
)

type fositeOAuth2Client struct {
	models.OAuth2Client
}

func (client *fositeOAuth2Client) GetID() string {
	return client.ClientID
}

func (client *fositeOAuth2Client) GetHashedSecret() []byte {
	return client.ClientSecret
}

func (client *fositeOAuth2Client) GetRedirectURIs() []string {
	return client.RedirectURIs
}

func (client *fositeOAuth2Client) GetGrantTypes() fosite.Arguments {
	return client.GrantTypes
}

func (client *fositeOAuth2Client) GetResponseTypes() fosite.Arguments {
	return client.ResponseTypes
}

func (client *fositeOAuth2Client) GetScopes() fosite.Arguments {
	// TODO implement this when scopes are supported
	return make(fosite.Arguments, 0, 0)
}

func (client *fositeOAuth2Client) IsPublic() bool {
	return client.Public
}

func (client *fositeOAuth2Client) GetAudience() fosite.Arguments {
	// TODO implement this when supported
	return make(fosite.Arguments, 0, 0)
}
